From 1e65b45250a10416f86361888db5456b8e38cd6d Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sun, 13 Oct 2024 13:18:27 +0200
Subject: [PATCH] disable given/when tests with perl 5.41.x and newer (RT
 #156085)

---
 t/given_when.t | 1 +
 t/when.t       | 1 +
 2 files changed, 2 insertions(+)

diff --git a/t/given_when.t b/t/given_when.t
index 45ebcd0..7478620 100644
--- a/t/given_when.t
+++ b/t/given_when.t
@@ -7,6 +7,7 @@ use Test::More;
 
 BEGIN {
   plan skip_all => "Perl 5.10 is required" unless eval { require 5.010 };
+  plan skip_all => "No given/when since perl 5.41.x" if $] >= 5.041;
   plan tests => 2;
 }
 
diff --git a/t/when.t b/t/when.t
index 6cafccc..b3b1567 100644
--- a/t/when.t
+++ b/t/when.t
@@ -6,6 +6,7 @@ use Test::More;
 
 BEGIN {
   plan skip_all => "Perl 5.10 required" unless eval { require 5.010; 1 };
+  plan skip_all => "No given/when since perl 5.41.x" if $] >= 5.041;
   plan tests => 5;
 }
 
-- 
2.11.0

